Bug 170192 - kernel-2.6.13-1.1526_FC4 updated via yum will not boot on my Toshiba satelite with K6-475 AMD processor. The boot hangs right after the grub screen and before the Redhat Nash text. There is no syslog data saved in dmesg.
kernel-2.6.13-1.1526_FC4 updated via yum will not boot on my Toshiba satelite...
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-10-08 14:41 EDT by Kelly-Rand
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 21:44:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kelly-Rand 2005-10-08 14:41:29 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
I downloaded the source and compiled it several times. Once with "make oldconfig" useing the config of the currently running kernel, and then answering no to any of the new features. None of these compilations were successful, they all stopped as described above. 

I am currently running: (from dmesg)
Linux version 2.6.12-1.1456_FC4 (bhcompile@hs20-bc1-4.build.redhat.com) (gcc version 4.0.1 20050727 (Red Hat 4.0.1-5)) #1 Thu Sep 22 02:11:52 EDT 2005
CPU: AMD-K6(tm) 3D processor stepping 0c
Checking 'hlt' instruction... OK.
checking if image is initramfs... it is
Freeing initrd memory: 1086k freed
NET: Registered protocol family 16
PCI: PCI BIOS revision 2.10 entry at 0xfd8ce, last bus=1
PCI: Using configuration type 1
mtrr: v2.0 (20020519)
ACPI: Subsystem revision 20050902
ACPI: Interpreter disabled.
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI: disabled
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Probing PCI hardware
PCI: Probing PCI hardware (bus 00)
Boot video device is 0000:01:00.0
PCI: Using ALI IRQ Router
PCI: Using IRQ router ALI [10b9/1533] at 0000:00:07.0

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install kernel rpm
2.update grub

Actual Results:  hangs after grub screen, after acpi bios test and before starting redhat nash

Expected Results:  normal boot

Additional info:

There is no additional information in any of the logs.
Comment 1 Kelly-Rand 2005-10-09 11:23:21 EDT
Clarification:  The "Summary" information should be included under the
"Description of the Problem" field. 

New Information:
I took the kernel-2.6.13<customversion>.rpm and installed it on my server which
is also based on the AMD K6 architecture. I modified grub and rebooted, this
kernel that was compiled on my toshiba laptop booted just fine. In fact it is
the currently running kernel as I type this. So the boot hang issue is specific
to the toshiba laptop.

As I understand the boot process, the kernel has loaded and initiates the first
task which is to query the bios, then it should initiate the memory and devices
and this is where it hangs.
Comment 2 Kelly-Rand 2005-10-10 10:43:00 EDT
051010 Update
On the toshiba laptop I set the boot parameter acpi=force and was able to boot
the 2.6.13 kernel. There was one fail error "module pcmcia_core not found.." but
this message was not registered in dmesg and seems to have no effect on networking.
I then re-edited grub, unsetting acpi=force and setting apm=off. On the
subsequent reboot the kernel loaded and proceeded to load udev, it hung while
trying to start network interfaces again complaining that it could not find the
"pcmcia_core module".
None of these early boot messages are saved in the logs.

I am going to continue using this kernel with the boot parameter acpi=force enabled.
Comment 3 Dave Jones 2005-11-10 14:51:52 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 4 Kelly-Rand 2005-11-12 07:18:07 EST
I installed 2.6.14-1.1637 kernel and headers for an i586 platform. The reboot
again hung before the redhat nash logo. There was no error output. I then
rebooted and added 'acpi=force' to the command string and then had an error free

This kernel update did clear up some errors that appeared in my syslog after a
recent yum update. If these former error messages are of interest I can post
them in a follow up to this post.

till next
Comment 5 Dave Jones 2006-02-03 02:02:42 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 21:44:35 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.